Subject: Re: newbie: Out of order execution in script
From: Bob McGowan <[email-masked]>
To: Cygwin <[email-masked]>
Date: Fri, 15 Dec 2000 10:19:16 -0800

Chris, et al,

I have a case where this issue has appeared on several systems.  I have used the strace command as described in your email with this subject, dated Dec 2, 2000.  Since I am
running cygwin dll version 1.1.4 currently, I copied the 1.1.6 strace over, to get the option support.  I had reverted to the older version from 1.1.6, hoping to fix the
problem - it didn't.  I had been using this script using 1.1.4 and the 1.0 release versions on Windows 2000 without problems.  This issue appeared when I tried to use the
script on NT 4.0 SP6 systems.

Due to the flakiness of this problem, I did not try to reduce the test size, so the strace output is large (~2.7 MB bziped), so I have not attached it.  I can place it,
plus the script that causes the problem, wherever you'd like it.  Or, I can try to reduce the test case, but this will take some time, due to other commitments.

cygcheck output follows.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

===

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Fri Dec 15 09:24:22 2000

WinNT Ver 4.0 build 1381 Service Pack 6

Path:	/usr/bin
	/usr/local/bin
	/cygdrive/c/winnt
	/cygdrive/c/winnt/system32
	/root/bin

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

HOME = `/root'
PWD = `/etc/setup'

!C: = `C:\cygwin\bin'
CDPATH = `.:/root:/'
COMPUTERNAME = `DELL40'
COMSPEC = `C:\WINNT\system32\cmd.exe'
EDITOR = `vi'
EXINIT = `set ai sm sw=4 tabstop=4 noshowmode noruler nohlsearch nobackup
syntax off'
HOMEDRIVE = `C:'
HOMEPATH = `\'
HOSTNAME = `DELL40'
HOSTTYPE = `i586'
LOGONSERVER = `\\DELL40'
MACHTYPE = `i586-pc-cygwin'
NUMBER_OF_PROCESSORS = `1'
OLDPWD = `/etc'
OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
OS = `Windows_NT'
OSTYPE = `cygwin'
PATHEXT = `.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 6 Model 8 Stepping 3, GenuineIntel'
PROCESSOR_LEVEL = `6'
PROCESSOR_REVISION = `0803'
PROMPT = `$P$G'
SHELL = `bash'
SHLVL = `1'
SYSTEMDRIVE = `C:'
SYSTEMROOT = `C:\WINNT'
TEMP = `/cygdrive/c/TEMP'
TERM = `cygwin'
TMP = `/cygdrive/c/TEMP'
USERDOMAIN = `DELL40'
USERNAME = `Administrator'
USERPROFILE = `C:\WINNT\Profiles\Administrator'
VM_HOME = `C:\Program Files\VERITAS\Volume Manager'
WINDIR = `C:\WINNT'
_ = `/bin/cygcheck'
TZ = `CST6CDT5,M4.1.0/2,M10.5.0/2'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/mnt/d
  (default) = `d:'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `C:/cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `C:/cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `C:/cygwin/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options

a:  fd           N/A    N/A                    
c:  hd  NTFS    4094Mb  19% CP CS UN PA FC     Dell Server
d:  hd  NTFS   17351Mb  48% CP CS UN PA FC     hwr5-00
e:  net NTFS    4086Mb  93% CP CS UN PA FC     RAMJR Boot Disk
f:  net NTFS    4086Mb  93% CP CS UN PA FC     RAMJR Boot Disk
z:  cd           N/A    N/A                    

C:\cygwin\bin  /usr/bin  system  binmode
C:\cygwin\lib  /usr/lib  system  binmode
C:\cygwin  /        system  binmode
d:    /mnt/d   user    textmode

Found: C:\cygwin\bin\bash.exe
Found: C:\cygwin\bin\cat.exe
Found: C:\cygwin\bin\cpp.exe
Found: C:\cygwin\bin\find.exe
Found: C:\cygwin\bin\gcc.exe
Found: C:\cygwin\bin\gdb.exe
Found: C:\cygwin\bin\ld.exe
Found: C:\cygwin\bin\ls.exe
Found: C:\cygwin\bin\make.exe
Found: C:\cygwin\bin\sh.exe

   56k 2000/12/03 C:\cygwin\bin\cygbz21.0.dll - os=4.0 img=1.0 sys=4.0
                  "cygbz21.0.dll" v0.0 ts=2000/11/20 17:53
   45k 2000/12/07 C:\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
                  "cygform5.dll" v0.0 ts=2000/12/7 0:41
   18k 2000/10/23 C:\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
                  "cyggdbm.dll" v0.0 ts=2000/10/22 21:26
   17k 2000/11/30 C:\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory4.dll" v0.0 ts=2000/11/29 20:28
   14k 2000/10/23 C:\cygwin\bin\cygintl.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl.dll" v0.0 ts=2000/10/23 14:02
   81k 2000/12/05 C:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitcl30.dll" v0.0 ts=2000/11/25 19:43
   35k 2000/12/05 C:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitk30.dll" v0.0 ts=2000/11/25 19:43
   45k 2000/10/22 C:\cygwin\bin\cygjbig1.dll - os=4.0 img=1.0 sys=4.0
                  "cygjbig1.dll" v0.0 ts=2000/10/22 18:06
  119k 2000/10/23 C:\cygwin\bin\cygjpeg6b.dll - os=4.0 img=1.0 sys=4.0
                  "cygjpeg6b.dll" v0.0 ts=2000/10/22 19:58
   26k 2000/12/07 C:\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu5.dll" v0.0 ts=2000/12/7 0:40
  159k 2000/12/07 C:\cygwin\bin\cygncurses++5.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses++5.dll" v0.0 ts=2000/12/7 0:42
  225k 2000/12/07 C:\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses5.dll" v0.0 ts=2000/12/7 0:39
   15k 2000/12/07 C:\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel5.dll" v0.0 ts=2000/12/7 0:40
  162k 2000/10/23 C:\cygwin\bin\cygpng2.dll - os=4.0 img=1.0 sys=4.0
                  "cygpng2.dll" v0.0 ts=2000/10/22 19:40
  108k 2000/11/30 C:\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline4.dll" v0.0 ts=2000/11/29 20:28
  390k 2000/12/05 C:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtcl80.dll" v0.0 ts=2000/11/25 19:39
    5k 2000/12/05 C:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
   10k 2000/12/05 C:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtclreg80.dll" v0.0 ts=2000/11/25 19:39
  243k 2000/10/23 C:\cygwin\bin\cygtiff3.dll - os=4.0 img=1.0 sys=4.0
                  "cygtiff3.dll" v0.0 ts=2000/10/22 20:14
  623k 2000/12/05 C:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtk80.dll" v0.0 ts=2000/11/25 19:43
   41k 2000/11/20 C:\cygwin\bin\cygXpm-noX4.dll - os=4.0 img=1.0 sys=4.0
                  "cygXpm-noX4.dll" v0.0 ts=2000/11/19 20:41
   45k 2000/11/20 C:\cygwin\bin\cygXpm-X4.dll - os=4.0 img=1.0 sys=4.0
                  "cygXpm-X4.dll" v0.0 ts=2000/11/19 20:45
   49k 2000/10/23 C:\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
                  "cygz.dll" v0.0 ts=2000/10/22 19:22
  586k 2000/08/04 C:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2000/8/3 19:53
    Cygwin DLL version info:
        dll major: 1001
        dll minor: 4
        dll epoch: 19
        dll bad signal mask: 19005
        dll old termios: 5
        api major: 0
        api minor: 26
        shared data: 3
        dll identifier: cygwin1
        mount registry: 2
        cygnus registry name: Cygnus Solutions
        cygwin registry name: Cygwin
        program options name: Program Options
        cygwin mount registry name: mounts v2
        build date: Thu Aug 3 20:53:46 EDT 2000
        CVS tag: cygwin-1-1-4
        shared id: cygwin1S3

--
Want to unsubscribe from this list?
Send a message to [email-masked]